import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useJupyter } from './../../../jupyter/JupyterContext';
import { FileBrowser } from '../../../components/filebrowser/FileBrowser';
export const FileBrowserComponent = () => {
    const { serviceManager } = useJupyter();
    return (serviceManager
        ? _jsx(FileBrowser, { serviceManager: serviceManager })
        : _jsx(_Fragment, {}));
};
export default FileBrowserComponent;
//# sourceMappingURL=FileBrowserComponent.js.map