import { Widget } from '@lumino/widgets';
import { NotebookPanel } from '@jupyterlab/notebook';
export interface IExecTimeSettings {
    highlight: boolean;
    positioning: string;
}
export declare class ExecTimeWidget extends Widget {
    private _panel;
    private _cellSlotMap;
    private _settings;
    constructor(panel: NotebookPanel);
    private updateConnectedCell;
    private _registerMetadataChanges;
    private _deregisterMetadataChanges;
    private _cellMetadataChanged;
    private _getCodeCell;
    private _removeExecuteNode;
    private _updateCodeCell;
}
