/// <reference types="react" />
import { INotebookModel, NotebookPanel } from '@jupyterlab/notebook';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { DatalayerNotebookExtension, IDatalayerNotebookExtensionProps } from '../../../components';
import './ExecTimeExtension.css';
export declare class ExecTimeExtension implements DatalayerNotebookExtension {
    init(props: IDatalayerNotebookExtensionProps): void;
    createNew(notebookPanel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): void;
    get component(): JSX.Element | undefined;
}
export default ExecTimeExtension;
